package com.zbf.system.domain;

import java.util.Date;
import java.util.List;

/**
 * 库存对象 t_mi_stock_f
 *
 * @author tony
 * @date 2024-06-14
 */
public class TMiStockFUpdate {

    // 待收货库位
    private String fromLoc;

    // 目标库位
    private String toLoc;

    // 目标托盘
    private String toCtlNo;

    // 更新者
    private String updateBy;

    // 更新时间
    private Date updateTime;

    private Long deptId;

    // 页面提交的暂存物料列表
    private List<TMiStockF> tMiStockFList;

    public String getFromLoc() {
        return fromLoc;
    }

    public void setFromLoc(String fromLoc) {
        this.fromLoc = fromLoc;
    }

    public String getToLoc() {
        return toLoc;
    }

    public void setToLoc(String toLoc) {
        this.toLoc = toLoc;
    }

    public String getToCtlNo() {
        return toCtlNo;
    }

    public void setToCtlNo(String toCtlNo) {
        this.toCtlNo = toCtlNo;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public List<TMiStockF> gettMiStockFList() {
        return tMiStockFList;
    }

    public void settMiStockFList(List<TMiStockF> tMiStockFList) {
        this.tMiStockFList = tMiStockFList;
    }
}
